# lsm hooks prototype checking
AC_DEFUN([LVE_LSM],[

LSM=0
LVE_LINUX_CONFIG(CONFIG_SECURITY, LSM=1)
AC_DEFINE_UNQUOTED(KMOD_LSM, $LSM, [LSM support in module])

# -- HAVE LSM_NEW
AC_MSG_CHECKING([lsm uses a list for callback])
LVE_LINUX_TRY_COMPILE([
	#include <linux/lsm_hooks.h>
],[

static struct security_hook_list lve_hooks[] = {
	LSM_HOOK_INIT(file_open, NULL),
};
],[
	AC_DEFINE(HAVE_LSM_NEW, 1, [lsm uses a list for callbacks])
	AC_MSG_RESULT([yes])
],[
	AC_MSG_RESULT([no])
])

])